<?php

setlocale(LC_ALL, 'sk_SK.utf-8', 'sk_SK@euro', 'sk_SK', 'sk', 'Slovak');
session_start();

//načtení soboru s třídou login
include("php/login.php");

$verzia_app = 300;

//inicializace třídy login
//$login = new login($db, "users");
$login = new login($verzia_app);

//jestliže je proměnná logout nastavena na 1 provede se odhlášení
if (isset($_GET["logout"]) and ($_GET["logout"] == 1)) {
    $login->logout();
}

// jestliže je odeslán přihlašovací formulář, testují se jméno a heslo
if (isset($_POST["login_name"]) and isset($_POST["login_pw"])) {
    // file_put_contents('log', "header ".$_POST["login_name"].":".$_POST["login_pw"]."\n", FILE_APPEND);
    $login->first_login();
}

include("php/settings.php");
$set = new settings($db);


if (!empty($_GET)) extract($_GET);
if (!empty($_POST)) extract($_POST);

header("Expires: ".GMDate("D, d M Y H:i:s")."GMT");
header("Cache-Control: no-cache");
header("Pragma: no-cache");
header("Accept-Encoding: gzip, deflate");

$task = (isset($_GET['task']) ? $_GET['task'] + 0 : 1);

?>

<!doctype html>
<html lang="sk">
<head>
	<title>webEMA</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Bootstrap CSS -->
	<link rel="shortcut icon" type="image/ico" href="images/logo-webema-48x48.ico" />

<?php if (isset($_GET["cfg"])) { ?>
	<link href="//cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
	<link rel="stylesheet" href="//cdn.jsdelivr.net/npm/sweetalert2@11.9.0/dist/sweetalert2.min.css">
<?php } else { ?>
	<link rel="stylesheet" href="dt/bootstrap-5.3.2-dist/css/bootstrap.min.css">
	<link rel="stylesheet" href="css/sweetalert2.min.css" type="text/css" />
<?php } ?>    
	<link rel="stylesheet" href="css/my.css" type="text/css" />
<?php if (isset($_GET["cfg"])) { ?>
	<script src="//code.jquery.com/jquery-3.7.0.min.js"></script>
	<script src="//cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
	<script src="//cdn.jsdelivr.net/npm/sweetalert2@11.9.0/dist/sweetalert2.min.js"></script>
<?php } else { ?>
	<script src="dt/jQuery-3.7.0/jquery-3.7.0.min.js"></script>
	<script src="dt/bootstrap-5.3.2-dist/js/popper.min.js"></script>
	<script src="dt/bootstrap-5.3.2-dist/js/bootstrap.min.js"></script>
	<script src="js/sweetalert2.min.js"></script>	
<?php } ?>  
	<script src="js/jquery.i18n.properties.js"></script>  
</head>

<body id="body">
	<?php 
    if ($login->is_logged == -1) {
        // nespravne zadane meno / heslo
    ?>
	<script type="text/javascript" charset="utf-8" class="init">
	function loadBundles(lang) {
	    $.i18n.properties({
	        name: 'Messages',
	        path: 'bundle/',
	        mode: 'both',
	        language: lang,
	        callback: function() {
	        	if (lang != "sk") {
	            	$('#prihlasenie').text(prihlasenie);
	            	$('#prihlasit_btn').text(prihlasit_btn);
	            	$("#username").attr("placeholder", meno);
	        	}
	        }
	    });
	}
	$(document).ready(function() {
		var language = <?php echo json_encode($login->language); ?>;
		lang = (language == 1) ? "cs" : "sk";
		loadBundles(lang);
		var typed_login_name = <?php echo json_encode($_SESSION["login_name"]); ?>;
		$("#username").val(typed_login_name).select();
		Swal.fire({
			title: (lang == "sk") ? "Upozornenie" : $.i18n.prop('upozornenie'),
			text: (lang == "sk") ? "Nesprávne meno alebo heslo" : $.i18n.prop('nespravne_meno_heslo'),
			icon: 'warning'
		});
	});    
	</script>
	<?php 
    } else if ($login->is_logged == 0) {
        // este neprihlaseny
    ?>
	<script type="text/javascript" charset="utf-8" class="init">
	function loadBundles(lang) {
	    $.i18n.properties({
	        name: 'Messages',
	        path: 'bundle/',
	        mode: 'both',
	        language: lang,
	        callback: function() {
	        	if (lang != "sk") {
	            	$('#prihlasenie').text(prihlasenie);
	            	$('#prihlasit_btn').text(prihlasit_btn);
	            	$("#username").attr("placeholder", meno);
	        	}
	        }
	    });
	}

	$(document).ready(function() {
		var language = <?php echo json_encode($login->language); ?>;
		lang = (language == 1) ? "cs" : "sk";
		loadBundles(lang);
	});    
	</script>
	<?php 
    } else if ($login->is_logged == 1) {
        // uspesne prihlaseny
    ?>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
		<a class="navbar-brand" href="index.php?task=1<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>">
			<img src="images/logo-webema-71x71.png" width="30" height="30" class="d-inline-block align-top" alt="">
			webEMA
		</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        	<span class="navbar-toggler-icon"></span>
        </button>
        
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item active">
    	            <a class="nav-link" href="index.php?task=1<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="majetok_menu">Majetok</span></a>
                </li>
                <li class="nav-item active">
    	            <a class="nav-link" href="index.php?task=2<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="inventura_menu">Inventúra</span></a>
                </li>
                <li class="nav-item active dropdown">
    	            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span id="ciselniky_menu">Číselníky</span></a>
	            	<ul class="dropdown-menu" aria-labelledby="navbarDropdown1">
	            		<li><a class="dropdown-item" href="index.php?task=3<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="uzivatelia_ema_menu">Užívatelia EMA mobile</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=10<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="druhy_majetkov_menu">Druhy majetkov</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=4<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="lokacie_menu">Lokácie</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=5<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="prava_menu">Práva</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=6<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="zodpovedne_osoby_menu">Zodpovedné osoby</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=7<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="ekonomicke_objekty_menu">Ekonomické objekty</span></a></li>
            			<li><a class="dropdown-item" href="index.php?task=8<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="organizacne_struktury_menu">Organizačné štruktúry</span></a></li>
	            	</ul>
                </li>
                <?php
                if (file_exists('task91.html')) {
                ?>
                <li class="nav-item dropdown">
    	            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown3" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span id="nastroje_menu">Nástroje</span></a>
	            	<div class="dropdown-menu" aria-labelledby="navbarDropdown3">
	            		<a class="dropdown-item" href="index.php?task=91<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>">Porovnanie majetkov zo SAP</a>
	            	</div>
                </li>
                <?php
                }
                ?>
                <li class="nav-item dropdown">
    	            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span id="konfiguracia_menu">Konfigurácia</span></a>
	            	<div class="dropdown-menu" aria-labelledby="navbarDropdown2">
	            		<?php 
	            		if ($login->account_type == 0) { 
	            		?>
	            		<a class="dropdown-item" href="index.php?task=0<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="nastavenia_menu">Nastavenia</span></a>
	            		<?php 
	            		} 
	            		?>
	            		<a class="dropdown-item" href="index.php?task=9<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><?php echo (($login->account_type) == 0) ? "<span id=\"uzivatelia_webema_menu\">Užívatelia webEMA</span>" : "<span id=\"prostredie_menu\">Prostredie</span>"; ?></a>
	            	</div>
                </li>
            </ul>
            <span class="navbar-text">
            <!-- 
    			ver. <?php echo $login->verzia_app; ?>&nbsp;<?php echo $set->verzia_db; ?>&nbsp;&nbsp;
             -->
    			ver. 
    			<?php 
    			echo ($login->verzia_app == $set->verzia_db) 
    			? substr_replace($login->verzia_app, '.', strlen($login->verzia_app)-2, 0)
    			: 'app:' . substr_replace($login->verzia_app, '.', strlen($login->verzia_app)-2, 0) 
    			    . ' '
    			    . ' db:' . substr_replace($set->verzia_db, '.', strlen($set->verzia_db)-2, 0) 
    			?>
    			&nbsp;&nbsp;
			</span>
			<span class="navbar-text">
				<?php echo $login->firstname." ".$login->lastname ?>&nbsp;&nbsp;
			</span>
            <span class="navbar-text">
			    <a href="index.php?logout=1<?php echo (isset($_GET['cfg'])) ? '&cfg='.$_GET['cfg'] : ''; ?>"><span id="odhlasit_menu">Odhlásiť</span></a>
			</span>
        </div>
    </div>	
    </nav>	
	<?php
	}	
    ?>
	
	<div id="content">
	<?php 
    if ($login->is_logged == 1) {
        $task = (int) $task + 0;  // konverzia na cislo
        if (!is_int($task)) {
            $task = 1;
        }
        $content_f="task".str_pad(StrVal($task), 2, "0", STR_PAD_LEFT).".html";
        if (($content_f != "") && (file_exists ($content_f))) {
            include($content_f);
        }
    } else {
        // neprihlaseny uzivatel
        $url = "index.php" . (isset($_GET['cfg']) ? '?cfg='.$_GET['cfg'] : '');
        $login->show_login_form($url);
    }
    ?>
	</div>
</body>
</html>
