<?php

include("openssl_enc_dec.php");
if (isset($_REQUEST["cfg"])) {
    $sql_details = unserialize(urldecode(encrypt_decrypt('decrypt', $_REQUEST['cfg'])));
}
include("../dt/Editor/lib/DataTables.php");

use
	DataTables\Editor,
	DataTables\Editor\Field,
	DataTables\Editor\Validate,
	DataTables\Editor\ValidateOptions;

$lang = (isset($_REQUEST['lang']) ? $_REQUEST['lang'] : 'sk'); // jazyk
	
Editor::inst($db, 'druhy', 'id')
	->fields(
		Field::inst('id')->set(false),
	    Field::inst('kod')
		    ->validator(Validate::notEmpty(ValidateOptions::inst()
		        ->message( 'Povinný údaj' )
	    ))
		    ->validator(Validate::unique(ValidateOptions::inst()
		        ->message(($lang == 'sk') ? 'Kód už existuje' : 'Kód již existuje')
	    )),
	    Field::inst('nazov')
	)
	->process($_POST)
	->json();
    
?>