<?php
    include("../dt/Editor/lib/DataTables.php");
    // file_put_contents('log', '_REQUEST: '.print_r($_REQUEST, true)."\n", FILE_APPEND);
    
	$operacia = isset($_REQUEST['operacia']) ? $_REQUEST['operacia'] : -1;
	$id = isset($_REQUEST['id']) ? $_REQUEST['id'] : 0;
	//$id_zariadenia = isset($_REQUEST['id_zariadenia']) ? $_REQUEST['id_zariadenia'] : 0;
	   
	// KONTROLNA ODPOVED
	if($operacia == 0) {
		echo "OK";
		exit();
	}

    //file_put_contents('log', 'operacia: '.print_r($operacia, true)."\n", FILE_APPEND);
    //file_put_contents('log', 'id: '.print_r($id, true)."\n", FILE_APPEND);
    //file_put_contents('log', '_REQUEST: '.print_r($_REQUEST, true)."\n", FILE_APPEND);

    /*
	function insertBefore($input, $index, $newKey, $element) {
		if (!array_key_exists($index, $input)) {
			throw new Exception("Index not found");
		}
		$tmpArray = array();
		foreach ($input as $key => $value) {
			if ($key === $index) {
				$tmpArray[$newKey] = $element;
			}
			$tmpArray[$key] = $value;
		}
		return $tmpArray;
	}

	function insertAfter($input, $index, $newKey, $element) {
		if (!array_key_exists($index, $input)) {
			throw new Exception("Index not found");
		}
		$tmpArray = array();
		foreach ($input as $key => $value) {
			$tmpArray[$key] = $value;
			if ($key === $index) {
				$tmpArray[$newKey] = $element;
			}
		}
		return $tmpArray;
	}

    function find($input, $kod) {
        $kody = array_column($input, 'kod');
        return array_search($kod, $kody);
    }
    */
    function insertBefore($input, $index, $element) {
        if (!array_key_exists($index, $input)) {
            throw new Exception("Index not found");
        }
        $tmpArray = array();
        $originalIndex = 0;
        foreach ($input as $key => $value) {
            if ($key === $index) {
                $tmpArray[] = $element;
                break;
            }
            $tmpArray[$key] = $value;
            $originalIndex++;
        }
        array_splice($input, 0, $originalIndex, $tmpArray);
        return $input;
    }
    
    function insertAfter($input, $index, $element) {
        if (!array_key_exists($index, $input)) {
            throw new Exception("Index not found");
        }
        $tmpArray = array();
        $originalIndex = 0;
        foreach ($input as $key => $value) {
            $tmpArray[$key] = $value;
            $originalIndex++;
            if ($key === $index) {
                $tmpArray[] = $element;
                break;
            }
        }
        array_splice($input, 0, $originalIndex, $tmpArray);
        return $input;
    }
	
	// DOWNLOAD ----------------------------------------------------------------------------------
	if (($operacia == 1) && ($id != 0)) {
	    $post = array();
	    switch ($id) {
	        case 1:
                $sql = "select kod, meno from uzivatelia order by id";
	            break;
	        case 2:
	            $sql = "select kod, nazov, nadrad_kod from lokacie order by id";
				/*
	            $sql = "select distinct majetok.kod_lok as kod, lokacie.nazov";
	            $sql.= " from majetok";
	            $sql.= " inner join lokacie on (majetok.kod_lok=lokacie.kod)";
	            $sql.= " where not exists(select id from inventura where majetok.kod=inventura.kod)";
	            $sql.= " order by lokacie.nazov";
				*/
	            break;
	        case 3:
	            $sql = "select kod_uziv, kod_lok from prava order by id";
	            break;
	        case 4:
	            // ciselnik  majetokov
	            $sql = "select kod, nazov, vp1, vp2, vp3";
	            $sql.= " from majetok";
				$sql.= " where datum_vymaz='0000-00-00'";
	            $sql.= " order by id";
	            break;
	        case 5:
	            // zoznam neinventarizovaneho majetku
	            $sql = "select kod, kod_lok, mnozstvo";
	            $sql.= " from majetok";
	            $sql.= " where (datum_vymaz='0000-00-00') and (datum_vyrad is null) and not exists(select id from inventura where majetok.kod=inventura.kod)";
	            $sql.= " order by id";
	            break;
	        default:
	            $output = '';
	    }
	    if ($sql != '') {
	        $output = '';
	        // file_put_contents('log', 'id:'.print_r($id, true).' sql: '.print_r($sql, true)."\n", FILE_APPEND);
            $res = $db->sql($sql);
    	    while ($row = $res->fetch()) {
    	        switch ($id) {
    	            case 1: // uzivatelia
    	                array_push($post, array(
    	                   "kod" => $row["kod"],
    	                   "meno" => $row["meno"]
    	                ));
    	                break;
    	            case 2: // lokacie
    	                array_push($post, array(
    	                   "kod" => $row["kod"],
    	                   "nazov" => $row["nazov"],
    	                   "nadrad_kod" => $row["nadrad_kod"],
    	                ));
    	                break;
    	            case 3: // prava
    	                array_push($post, array(
    	                   "kod_uziv" => $row["kod_uziv"],
    	                   "kod_lok" => $row["kod_lok"]
    	                ));
    	                break;
    	            case 4: // majetok
    	                array_push($post, array(
    	                   "kod_maj" => $row["kod"],
    	                   "nazov" => $row["nazov"],
    	                   "vp1" => $row["vp1"],
    	                   "vp2" => $row["vp2"],
    	                   "vp3" => $row["vp3"]
    	                ));
    	                break;
    	            case 5: // zoznam
    	                array_push($post, array(
    	                   "kod_maj" => $row["kod"],
    	                   "kod_lok" => $row["kod_lok"],
    	                   "mnozstvo" => $row["mnozstvo"]
    	                ));
    	                break;
    	        }
    	    }
            if ($id == 2) {
                // http://localhost/webEMA/api/ema.php?operacia=1&id=2
                // rerganizacia .... vid https://stackoverflow.com/questions/3797239/insert-new-item-in-array-on-any-position-in-php
                //file_put_contents('log', 'post: '.print_r($post, true)."\n", FILE_APPEND);
                // usporiadanie lokacii do optimalneho poradia, aby MODO vedelo vytvorit stromovu strukturu
                // nadradena lokacia musi byt v zozname nad podradenou lokaciou
                $temp = array();
                foreach ($post as $item) {
                    if ($item['nadrad_kod'] != "") {
                        $index = array_search($item['kod'], array_column($temp, 'nadrad_kod'));
                        if ($index == 0) {
                            $index = array_search($item['nadrad_kod'], array_column($temp, 'kod'));
                            if ($index == 0) {
                                array_push($temp, $item);  // daj na koniec
                            } else {
                                $temp = insertAfter($temp, $index, $item);  
                            }
                        } else {
                            $temp = insertBefore($temp, $index, $item);  
                        }
                    } else {
                        array_unshift($temp, $item);  // daj na zaciatok
                    }
                }
                array_splice($post, 0, count($temp), $temp); // zmigruj pole $temp do $post
            }
	    }
	    $count = count($post);
	   // file_put_contents('log', 'count: '.print_r($count, true)."\n", FILE_APPEND);
	    if ($count > 0) {
	        $output = json_encode($post);
	        header('Content-type: application/json');
	    }
	    // file_put_contents('log', 'output: '.print_r($output, true)."\n", FILE_APPEND);
	    echo $output;
	    exit();
	}
	
	// UPLOAD ----------------------------------------------------------------------------------
    if (($operacia == 2) && ($id != 0)) {
		//file_put_contents('log', 'UPLOAD _POST: '.print_r($_POST, true)."\n", FILE_APPEND);
        // $log = str_replace('"', '', str_replace('\"', '', json_encode($_POST)));
        // file_put_contents('log', 'POST: '.date('d.m.Y h:i:s', time()).' '.print_r($log, true)."\n", FILE_APPEND);
        // zhotovenie vysledneho json objektu
        $json_result = (object) [
            'return_code' => 0,
            'message' => "OK",
            'maj_count' => 0,
            'inv_count' => 0
        ];
        switch ($id) {
            case 1: // novy majetok + inventura
                $data = (isset($_POST['data']) ? $_POST['data'] : "");
                $json = json_decode($data, true);
                if (json_last_error() === JSON_ERROR_NONE) {
                    // JSON is valid
                    $ok = true;
                    $db->transaction();
                    try {
                        if (array_key_exists('majetok', $json)) {
                            $majetok = $json['majetok'];
                            foreach ($majetok as $item) {
                                // file_put_contents('log', 'item: '.print_r($item, true)."\n", FILE_APPEND);
                                $kod = $item['kod'];
                                $nazov = $item['nazov'];
                                $kod_lok = $item['kod_lok'];
                                $mnozstvo = $item['mnozstvo'];
                                $vp1 = $item['vp1'];
                                $vp2 = $item['vp2'];
                                $vp3 = $item['vp3'];
                                $novy = $item['novy'];
                                $kod_uziv = $item['kod_uziv'];
                                $milliseconds = $item['datum'];
                                //$datum = date_format(new DateTime($datum), 'Y-m-d H:m:s');
                                // file_put_contents('log', 'datum: '.print_r($datum, true)."\n", FILE_APPEND);
                                //$datum = date("Y-m-d H:i:s", $milliseconds/1000);
                                $sql = "insert ignore into majetok (kod, nazov, kod_lok, mnozstvo, vp1, vp2, vp3, novy)";
                                $sql.= " values('$kod', '$nazov', '$kod_lok', $mnozstvo, '$vp1', '$vp2', '$vp3', $novy)";
                                //file_put_contents('log', 'nazov: '.print_r($nazov, true)."\n", FILE_APPEND);
                                //file_put_contents('log', 'sql: '.print_r($sql, true)."\n", FILE_APPEND);
                                $db->sql($sql);
                                /*                           
                                $datum = date("Y-m-d H:i:s", $milliseconds);
                                $sql = "insert into inventura (kod, kod_lok, mnozstvo, vyradit, identifikacia, kod_uziv, datum)";
                                $sql.= " values('$kod', '$kod_lok', $mnozstvo, 0, 1, '$kod_uziv', '$datum')";
                                $sql.= " on duplicate key update kod=values(kod), kod_lok=values(kod_lok), mnozstvo=values(mnozstvo), vyradit=values(vyradit), identifikacia=values(identifikacia), kod_uziv=values(kod_uziv), datum=values(datum)";
                                 file_put_contents('log', 'sql-m: '.print_r($sql, true)."\n", FILE_APPEND);
                                $db->sql($sql);
                                */
                            }
                            $json_result->maj_count = count($majetok);
                        }
                        if (array_key_exists('inventura', $json)) {
                            $inventura = $json['inventura'];
                            foreach ($inventura as $item) {
                                // file_put_contents('log', 'item: '.print_r($item, true)."\n", FILE_APPEND);
                                $kod = $item['kod'];
                                $kod_lok = $item['kod_lok'];
                                $vp1 = $item['vp1'];
                                $vp2 = $item['vp2'];
                                $vp3 = $item['vp3'];
                                $mnozstvo = $item['mnozstvo'];
                                $poznamka = $item['poznamka'];
                                $vyradit = $item['vyradit'];
                                $identifikacia = $item['identifikacia'];
                                $kod_uziv = $item['kod_uziv'];
                                $milliseconds = $item['datum'];
                                $datum = date("Y-m-d H:i:s", $milliseconds);
                                $sql = "insert into inventura (kod, kod_lok, mnozstvo, poznamka, vyradit, identifikacia, kod_uziv, datum)";
                                $sql.= " values('$kod', '$kod_lok', $mnozstvo, '$poznamka', $vyradit, $identifikacia, '$kod_uziv', '$datum')";
                                $sql.= " on duplicate key update mnozstvo=mnozstvo+values(mnozstvo), poznamka=values(poznamka), vyradit=values(vyradit), identifikacia=values(identifikacia), kod_uziv=values(kod_uziv), datum=values(datum)";
                                // file_put_contents('log', 'sql-i: '.print_r($sql, true)."\n", FILE_APPEND);
                                $db->sql($sql);
                                // aktualizacia poli VP1-3
                                $sql = "update majetok set vp1='$vp1',vp2='$vp2',vp3='$vp3' where kod='$kod'";
                                $db->sql($sql);
                            }
                            $json_result->inv_count = count($inventura);
                        }
                        $db->commit();
                    } catch (Exception $e) {
                        $db->rollback();
                        $json_result->return_code = 1;
                        $json_result->message = $e->getMessage();
                        $json_result->maj_count = 0;
                        $json_result->inv_count = 0;
                        //file_put_contents('log', 'Chyba: '.print_r($e->getMessage(), true)."\n", FILE_APPEND);
                    }
                }
                break;
        }
        // file_put_contents('log', 'json_result: '.print_r($json_result, true)."\n", FILE_APPEND);
        $result = json_encode($json_result);
        // $log = str_replace('"', '', str_replace('\"', '', $result));
        // file_put_contents('log', 'output: '.date('d.m.Y h:i:s', time()).' '.print_r($log, true)."\n\n", FILE_APPEND);
        echo $result;
	    exit();
	}
	
	// INFO O POLOZKE ----------------------------------------------------------------------------------
	$barcode = (isset($_GET['barcode']) ? $_GET['barcode'] : "");
	if (($operacia == 3) && ($barcode != "")) {
	    $output = "";
	    $sql = "select nazov_vp1, nazov_vp2, nazov_vp3, language from nastavenia";
	    $res = $db->sql($sql);
	    if ($row = $res->fetch()) {
	        $nazov_vp1 = $row["nazov_vp1"];
	        $nazov_vp2 = $row["nazov_vp2"];
	        $nazov_vp3 = $row["nazov_vp3"];
	        $language = $row["language"];
	    }
	    $a = array();
	    $sql = "select m.kod, m.nazov, m.vp1, m.vp2, m.vp3, m.mnozstvo, l.nazov nazov_lok, o.meno, eo.nazov nazov_eo, os.nazov nazov_os";
	    $sql.= " from majetok m";
	    $sql.= " left join lokacie l on (l.kod=m.kod_lok)";
	    $sql.= " left join osoby o on (o.kod=m.kod_osoby)";
	    $sql.= " left join ekon_obj eo on (eo.kod=m.kod_eo)";
	    $sql.= " left join org_str os on (os.kod=m.kod_os)";
	    $sql.= " where m.kod='$barcode'";
        $res = $db->sql($sql);
	    if ($row = $res->fetch()) {
            array_push($a, array(
                "title" => ($language == 0) ? "Kód majetku" : "Kód majetku",
                "value" => $row["kod"]
            ));
            array_push($a, array(
                "title" => ($language == 0) ? "Názov" : "Název",
                "value" => $row["nazov"]
            ));
            if ($row["vp1"] != "") {
                array_push($a, array(
                    "title" => $nazov_vp1,
                    "value" => $row["vp1"]
                ));
            }
            if ($row["vp2"] != "") {
                array_push($a, array(
                    "title" => $nazov_vp2,
                    "value" => $row["vp2"]
                ));
            }
            if ($row["vp3"] != "") {
                array_push($a, array(
                    "title" => $nazov_vp3,
                    "value" => $row["vp3"]
                ));
            }
            if (!is_null($row["nazov_lok"]) && ($row["nazov_lok"] != "")) {
                array_push($a, array(
                    "title" => ($language == 0) ? "Lokácia" : "Lokace",
                    "value" => $row["nazov_lok"]
                ));
            }
            if (!is_null($row["meno"]) && ($row["meno"] != "")) {
                array_push($a, array(
                    "title" => ($language == 0) ? "Zodpovedná osoba" : "Odpovědná osoba",
                    "value" => $row["meno"]
                ));
            }
            if (!is_null($row["nazov_eo"]) && ($row["nazov_eo"] != "")) {
                array_push($a, array(
                    "title" => ($language == 0) ? "Ekonomický objekt" : "Ekonomický objekt",
                    "value" => $row["nazov_eo"]
                ));
            }
            if (!is_null($row["nazov_os"]) && ($row["nazov_os"] != "")) {
                array_push($a, array(
                    "title" => ($language == 0) ? "Organizačná štruktúra" : "Organizační struktura",
                    "value" => $row["nazov_os"]
                ));
            }
            array_push($a, array(
                "title" => ($language == 0) ? "Množstvo" : "Množství",
                "value" => number_format(floatval($row["mnozstvo"]), 2, ',', '')
            ));
            $output = json_encode($a);
			header('Content-type: application/json');
		}
		// file_put_contents('log', 'output: '.print_r($output, true)."\n", FILE_APPEND);
		echo $output;
		exit();
	}

    // UPLOAD SUBOROV
    if (!empty($_FILES)) {
		// file_put_contents('log', '_FILES: '.print_r($_FILES, true)."\n", FILE_APPEND);
		// file_put_contents('log', '_POST: '.print_r($_POST, true)."\n", FILE_APPEND);
	    $output = "";
        $doc_path = "";
        $res = $db->raw()
            //->bind(':pin', $pin)
            ->exec('select doc_path from nastavenia limit 1');
        $row = $res->fetch(PDO::FETCH_ASSOC);
        if ($row) {
            $doc_path = $row['doc_path'];
        }

        foreach ($_FILES as $key => $file) {
            $key = urldecode((string) $key);  // v tvare id_kodmajetku_kodlokacie
            
            // file_put_contents('log', 'key: '.print_r($key, true)."\n", FILE_APPEND);
            // file_put_contents('log', 'name: '.print_r($file['name'], true)."\n", FILE_APPEND);
            // file_put_contents('log', 'tmp_name: '.print_r($file['tmp_name'], true)."\n", FILE_APPEND);
            // file_put_contents('log', '*******************************'."\n", FILE_APPEND);
            
            $pieces = explode("_", $key); // rozbitie kluca
            $kod = $pieces[1];
            //$kod_lok = $pieces[2];
            //$subdir = "inventura";
            $subdir = "";
            $doc_dir = $_SERVER['DOCUMENT_ROOT']."/uploads/$doc_path";
            $upload_dir = "$doc_dir/$subdir/";
            // file_put_contents('log', 'upload_dir: '.print_r($upload_dir, true)."\n", FILE_APPEND);
            if (!file_exists($upload_dir)) {
                mkdir($upload_dir, 0777, true);
            }
            $filename = $upload_dir . $file['name'];
            if (move_uploaded_file($file['tmp_name'], $filename)) {
                /*
                $path_parts = pathinfo($file);
                if (strtolower($path_parts['extension']) == 'jpg') {
                    $resized_file = $file . '.resized';
                    resizeImage($file, $resized_file, 2560);
                    if (file_exists($resized_file)) {
                        unlink($file);
                        rename($resized_file, $file);
                    }
                }
                */
                $real_path = str_replace('\\', '/', realpath($filename));
                $web_path = str_replace($_SERVER['DOCUMENT_ROOT'], '', $real_path);
                $system_path = $_SERVER['DOCUMENT_ROOT'] . $web_path;
                
                $majetok_id = -1;
                // zisti ID z tabulky majetok podla kod
                $res = $db->raw()
                    ->bind(':kod', $kod)
                    ->exec('select id from majetok where kod=:kod');
                $row = $res->fetch(PDO::FETCH_ASSOC);
                if ($row) {
                    $majetok_id = $row['id'];
                }

                if ($majetok_id >= 0) {
                    $res = $db
                        ->query('insert', 'files')
                        ->set('web_path', $web_path)
                        ->set('system_path', $system_path)
                        ->set('typ', 1)
                        ->exec();
                    $file_id = $res->insertId();  // vrat id zapisaneho zaznamu
                    $db->raw()
		                ->bind(':majetok_id', $majetok_id)
		                ->bind(':file_id', $file_id)
		                ->exec('insert into majetok_file (majetok_id, file_id) values(:majetok_id, :file_id)');
                }
				$output = "OK";
            }

        }
		// file_put_contents('log', 'upload files: '.print_r($output, true)."\n", FILE_APPEND);
		echo $output;
        exit;
    }
	
?>


